GEThttps://api.deepinfo.com/v1/platform/notification-rules

Lists notification rules. Filter and sort with the optional query parameters.

Authentication

Send your API key in the apikey request header.

Query Parameters

ParameterRequiredDescription
page_sizeOptional
Min 25, max 100. Default 100.
Example25
orderingOptional
pageOptional
Min 1, max 800. Default 1.
Example1
name__containsOptional
name__not_containsOptional
scope__inOptional
scope__ninOptional
frequency__inOptional
frequency__ninOptional
members__inOptional
members__ninOptional
enabledOptional
added_date__lteOptional
added_date__gteOptional
last_update_date__lteOptional
last_update_date__gteOptional

Response Fields

FieldTypeDescription
pageinteger
page_sizeinteger
result_countinteger
resultsarray of object
results[].idstring
results[].namestring
results[].scopestring
One of new_issue_detected, reappeared_issue_detected, asset_security_score_decreased, asset_security_score_changed, asset_ssl_changed, asset_whois_changed, asset_dns_changed, domain_security_score_decreased, domain_security_score_changed, new_asset_discovered, new_asset_added, new_vulnerability_detected, reappeared_vulnerability_detected, new_email_breach_detected, new_suspicious_domain_detected, new_fraudulent_domain_detected, new_open_port_detected, new_employee_credential_detected, new_client_credential_detected, new_payment_credential_detected, new_cybersecurity_news_added
results[].frequencystring
One of instant, hourly, daily, weekly, monthly
results[].delivery_hourinteger
results[].delivery_day_of_weekinteger
results[].membersarray of object
results[].enabledboolean
results[].added_datestring
date-time
results[].last_update_datestring
date-time

Paginated. See Getting Started → Pagination.

Response Schema

Inferred from examples Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

FieldTypeExample
pagenumber1
page_sizenumber25
result_countnumber21
resultsarray<object>
results[].idstring"000000000000000e8e040001"
results[].namestring"Critical issues"
results[].scopestring"asset_security_score_changed"
results[].frequencystring"instant"
results[].delivery_hournull
results[].delivery_day_of_weeknull
results[].membersarray<object>
results[].members[].team_member_uuidstring"00000000-0000-4000-8000-0000f3aa0001"
results[].members[].emailstring
results[].enabledbooleantrue
results[].added_datestring"2025-06-01T08:00:00Z"
results[].last_update_datestring"2025-07-01T08:00:00Z"

Examples

Selecting one loads it into the request and response panels.

Reference updated